﻿Imports System.Data.SqlClient

Module Module1

    Sub Main()
        '接続文字列
        Dim constr As String = "Data Source=(LocalDB)\v11.0;AttachDbFilename=C:\Work\Books.mdf;Integrated Security=True;Connect Timeout=30"

        'SqlConnectionオブジェクトを生成
        Dim con As New SqlConnection(constr)

        'Usersテーブルのデータを取得するSQL文を作成
        Dim sql As String = "SELECT * FROM Users;"

        'SqlDataAdapterオブジェクトを生成
        Dim da As New SqlDataAdapter(sql, con)

        'SqlCommandBuilderオブジェクトを生成
        Dim cmdbuilder As New SqlCommandBuilder(da)

        'DataTableオブジェクトを生成
        Dim dt As New DataTable()

        'DataTableとデータベースに同期させる
        da.Fill(dt)

        'データの一覧を表示する
        Console.WriteLine("次の一覧から変更するユーザーのIDを選択してください。")
        For Each dr As DataRow In dt.Rows
            Console.WriteLine("ID:{0}　{1}", dr("Id"), dr("Name"))
        Next
        Console.WriteLine()

        'IDを入力
        Console.Write("ID：")
        Dim id As Integer = Int32.Parse(Console.ReadLine())

        '新しいパスワードを入力
        Console.Write("新しいパスワード：")
        Dim password As String = Console.ReadLine()

        'DataTableオブジェクトから入力したIDの行を取得
        Dim updaterow As DataRow() = dt.Select("Id=" & id)

        'データを更新
        updaterow(0)("Password") = password

        'データベースに反映
        da.Update(dt)

        Console.WriteLine("変更しました。")
        Console.ReadLine()
    End Sub

End Module
